= tlsrpt_init_delivery_request(3)
Boris Lohner
v0.5.0
:doctype: manpage
:manmanual: tlsrpt_init_delivery_request
:mansource: tlsrpt_init_delivery_request
:man-linkstyle: pass:[blue R < >]

== Name

tlsrpt_init_delivery_request - allocates and initializes the `struct tlsrpt_dr_t` object

== Synopsis

#include <tlsrpt.h>

int tlsrpt_init_delivery_request(struct tlsrpt_dr_t** pdr, struct tlsrpt_connection_t* con, const char* domainname, const char* policyrecord)

== Description

The `tlsrpt_init_delivery_request` function allocates and initializes the `struct tlsrpt_dr_t` object.
The resources it allocates must be freed by calling either `tlsrpt_finish_delivery_request` or `tlsrpt_cancel_delivery_request`.


== Return value

The tlsrpt_init_delivery_request function returns 0 on success and a combined error code on failure.
The combined error code can be analyzed with the _tlsrpt_strerror_ function.

== See also
man:tlsrpt_cancel_delivery_request[3], man:tlsrpt_finish_delivery_request[3], man:tlsrpt_strerror[3], man:tlsrpt_error_code_is_internal[3]






